CABI 4.1 installation fails with a SidebySide error

Document ID : KB000030757
Last Modified Date : 14/02/2018
Show Technical Document Details

Problem:

At the end of the CABI 4.1 installation you receive an error, which can also be seen in the Windows Event Viewer.

The error may be similar to this:

Activation context generation failed for "D:\Program Files (x86)\CA\SC\CommonReporting4\SAP BusinessObjects Enterprise XI 4.0\win64_x64\libOCAHelperw-5-0.dll". Dependent Assembly Microsoft.VC80.CRT,processorArchitecture="amd64",publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="8.0.50727.6195" could not be found. Please use sxstrace.exe for detailed diagnosis.

 

Solution:

Most customers will not see this problem.

For those that do, manually installing the Microsoft Visual C++ redist 8.0 will resolve this error.

 

1. Uninstall the currently installed CABI 4.1 using Add/Remove Programs and Features

2. Uninstall the installed versions of Microsoft Visual C++ that CABI installed.

3. Navigate to:  https://www.microsoft.com/en-us/download/details.aspx?id=26347

4. Download the version best suited for your operating system.

5. Install the downloaded version of Visual C++ 8.0.

6. Reinstall CABI 4.1

 

The error should no longer be seen.